Continue an Agent run
Continue an Agent run. The request enforces Agent roles, ownership, workspace boundaries, and lifecycle state.
curl --request POST \
--url https://api.revoengine.com/api/v1/agents/runs/{agentRunId}/continue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instruction": "Now compare the result with the previous month and update the recommendation."
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
instruction: 'Now compare the result with the previous month and update the recommendation.'
})
};
fetch('https://api.revoengine.com/api/v1/agents/runs/{agentRunId}/continue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/agents/runs/{agentRunId}/continue"
payload = { "instruction": "Now compare the result with the previous month and update the recommendation." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"agentRunId": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"agentId": "99999999-9999-4999-8999-999999999999",
"agentSessionId": "abababab-abab-4bab-8bab-abababababab",
"status": "PROCESSING",
"serviceAccountUserId": "11111111-1111-4111-8111-111111111111",
"tickSeq": 3,
"tickCount": 2,
"childCount": 1,
"state": {
"instruction": "Review deployment"
},
"createdAt": "2026-06-13T10:00:00.000Z",
"lastUpdateAt": "2026-06-13T10:15:00.000Z",
"version": 1,
"previousRunId": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"rootRunId": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"parentRunId": "bbbbbbbb-bbbb-4bbb-8bbb-bbbbbbbbbbbb",
"waitReason": "CHILDREN",
"triggerType": "REQUEST",
"triggerRefType": "scheduleId",
"triggerRefId": "schedule-123",
"ownerId": "22222222-2222-4222-8222-222222222222",
"ownerType": "USER",
"rootAssistantThreadId": "cccccccc-cccc-4ccc-8ccc-cccccccccccc",
"currentAssistantThreadId": "dddddddd-dddd-4ddd-8ddd-dddddddddddd",
"lastAssistantMessageId": "eeeeeeee-eeee-4eee-8eee-eeeeeeeeeeee",
"nextWakeAt": "2026-06-13T10:30:00.000Z",
"scheduledFor": "2026-06-13T10:30:00.000Z",
"lastHeartbeatAt": "2026-06-13T10:20:00.000Z",
"checkpointSummary": "Run completed and wrote the release summary.",
"result": {
"summary": "Deployment looks healthy."
},
"error": {
"message": "Run failed."
}
}Authorizations
Bearer JWT token or API Key (sk-*).
Path Parameters
Body
New user instruction appended to the durable Agent session as a successor run.
1"Now compare the result with the previous month and update the recommendation."
Finalized Storage files attached to the continuation message.
8["44444444-4444-4444-8444-444444444444"]
Registry plugins attached to the successor run.
32["55555555-5555-4555-8555-555555555555"]
Optional model override for the successor run.
gpt-6.1-sol, gpt-6-luna "gpt-6.1-sol"
Optional reasoning effort override for the successor run.
none, low, medium, high, xhigh "medium"
Optional planning policy override for the successor run.
standard, review_required "standard"
Enable fast mode for the successor run.
true
Process the successor run in the background.
true
Response
Stable run id.
"aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa"
Owning agent id.
"99999999-9999-4999-8999-999999999999"
Durable session shared by successor runs.
"abababab-abab-4bab-8bab-abababababab"
Current run status.
CREATED, PENDING, PROCESSING, ACTION_REQUIRED, FINISHED, ERROR, CANCELLED "PROCESSING"
Service account execution principal.
"11111111-1111-4111-8111-111111111111"
Current tick sequence.
3
Number of ticks executed.
2
Number of child runs created.
1
Run-scoped state for operator diagnostics.
{ "instruction": "Review deployment" }
Creation timestamp.
"2026-06-13T10:00:00.000Z"
Last update timestamp.
"2026-06-13T10:15:00.000Z"
Optimistic locking version.
1
Immediately preceding run in this session.
"aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa"
Root run id for lineage.
"aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa"
Parent run id for delegated child runs.
"bbbbbbbb-bbbb-4bbb-8bbb-bbbbbbbbbbbb"
Reason a run is waiting.
NONE, CHILDREN, CAPACITY, SCHEDULE, RECONCILE "CHILDREN"
Trigger type such as REQUEST, INBOX, SCHEDULE, EVENT, or RETRY.
"REQUEST"
External trigger reference type.
"scheduleId"
External trigger reference id.
"schedule-123"
Owning user or group id.
"22222222-2222-4222-8222-222222222222"
Owner type, typically USER or GROUP.
"USER"
Root assistant thread for the run.
"cccccccc-cccc-4ccc-8ccc-cccccccccccc"
Current assistant thread for the run.
"dddddddd-dddd-4ddd-8ddd-dddddddddddd"
Last assistant message id.
"eeeeeeee-eeee-4eee-8eee-eeeeeeeeeeee"
Next scheduled wake timestamp.
"2026-06-13T10:30:00.000Z"
Accepted initial dispatch deadline. Independent of later continuation wake times.
"2026-06-13T10:30:00.000Z"
Last heartbeat timestamp.
"2026-06-13T10:20:00.000Z"
Bounded terminal or checkpoint summary.
"Run completed and wrote the release summary."
Terminal result payload.
{ "summary": "Deployment looks healthy." }
Terminal error payload.
{ "message": "Run failed." }
curl --request POST \
--url https://api.revoengine.com/api/v1/agents/runs/{agentRunId}/continue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instruction": "Now compare the result with the previous month and update the recommendation."
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
instruction: 'Now compare the result with the previous month and update the recommendation.'
})
};
fetch('https://api.revoengine.com/api/v1/agents/runs/{agentRunId}/continue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/agents/runs/{agentRunId}/continue"
payload = { "instruction": "Now compare the result with the previous month and update the recommendation." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"agentRunId": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"agentId": "99999999-9999-4999-8999-999999999999",
"agentSessionId": "abababab-abab-4bab-8bab-abababababab",
"status": "PROCESSING",
"serviceAccountUserId": "11111111-1111-4111-8111-111111111111",
"tickSeq": 3,
"tickCount": 2,
"childCount": 1,
"state": {
"instruction": "Review deployment"
},
"createdAt": "2026-06-13T10:00:00.000Z",
"lastUpdateAt": "2026-06-13T10:15:00.000Z",
"version": 1,
"previousRunId": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"rootRunId": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"parentRunId": "bbbbbbbb-bbbb-4bbb-8bbb-bbbbbbbbbbbb",
"waitReason": "CHILDREN",
"triggerType": "REQUEST",
"triggerRefType": "scheduleId",
"triggerRefId": "schedule-123",
"ownerId": "22222222-2222-4222-8222-222222222222",
"ownerType": "USER",
"rootAssistantThreadId": "cccccccc-cccc-4ccc-8ccc-cccccccccccc",
"currentAssistantThreadId": "dddddddd-dddd-4ddd-8ddd-dddddddddddd",
"lastAssistantMessageId": "eeeeeeee-eeee-4eee-8eee-eeeeeeeeeeee",
"nextWakeAt": "2026-06-13T10:30:00.000Z",
"scheduledFor": "2026-06-13T10:30:00.000Z",
"lastHeartbeatAt": "2026-06-13T10:20:00.000Z",
"checkpointSummary": "Run completed and wrote the release summary.",
"result": {
"summary": "Deployment looks healthy."
},
"error": {
"message": "Run failed."
}
}
